2018-09-20 19:10 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001742FSSCP---------public2008-10-04 23:14
ReporterTinman 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001742: The Babylon Project crashes since 3.6.10 rev 4638
DescriptionThe Babylon Project 3.4final crashes since 3.6.10 rev 4638 (Modified fireball handling; ship class or type specific explosions.) on loading a mission on MacOS X (rev 4637 is working without a problem).

The changes in rev 4638 are not MacOS X specific so Windows builds may also crash?!

Additional Information==========================================================================
DEBUG SPEW: No debug_filter.cfg found, so only general, error, and warning
categories can be shown and no debug_filter.cfg info will be saved.
==========================================================================
Opened log '/Users/xxx/Library/FS2_Open/data/fs2_open.log', Fri Aug 08 19:07:07 2008 ...
FreeSpace version: 3.6.10
Passed cmdline options:
  -spec_exp 13
  -ogl_spec 77
  -spec_static 0.85
  -spec_point 0.68
  -spec_tube 0.4
  -ambient_factor 87,00
  -env
  -mipmap
  -missile_lighting
  -glow
  -nomotiondebris
  -spec
  -cache_bitmaps
  -ballistic_gauge
  -dualscanlines
  -orbradar
  -rearm_timer
  -targetinfo
  -3dwarp
  -ship_choice_3d
  -warp_flash
  -snd_preload
  -tbp
  -fps
  -window
Building file index...
Found root pack '/Applications/Spiele/TBP/B5-C-sp-EMW-3_0.vp' with a checksum of 0x5529d851
Found root pack '/Applications/Spiele/TBP/B5-C-sp-RW-3_0.vp' with a checksum of 0x1ca3d242
Found root pack '/Applications/Spiele/TBP/B5-Core-3_4.vp' with a checksum of 0xbda39a14
Found root pack '/Applications/Spiele/TBP/B5-M-MultiPack-1_0.vp' with a checksum of 0xdcf27819
Found root pack '/Applications/Spiele/TBP/EBW.vp' with a checksum of 0xd56d6d9e
Found root pack '/Applications/Spiele/TBP/ebwpatch1a.vp' with a checksum of 0x118777f4
Found root pack '/Applications/Spiele/TBP/Root_fs2.vp' with a checksum of 0x7738890b
Found root pack '/Applications/Spiele/TBP/sparky_fs2.vp' with a checksum of 0x7738890b
Found root pack '/Applications/Spiele/TBP/sparky_hi_fs2.vp' with a checksum of 0x7738890b
Found root pack '/Applications/Spiele/TBP/stu_fs2.vp' with a checksum of 0x7738890b
Searching root '/Users/lang/Library/FS2_Open/' ... 108 files
Searching root '/Applications/Spiele/TBP/' ... 36 files
Searching root pack '/Applications/Spiele/TBP/B5-C-sp-EMW-3_0.vp' ... 188 files
Searching root pack '/Applications/Spiele/TBP/B5-C-sp-RW-3_0.vp' ... 724 files
Searching root pack '/Applications/Spiele/TBP/B5-Core-3_4.vp' ... 7607 files
Searching root pack '/Applications/Spiele/TBP/B5-M-MultiPack-1_0.vp' ... 38 files
Searching root pack '/Applications/Spiele/TBP/EBW.vp' ... 610 files
Searching root pack '/Applications/Spiele/TBP/ebwpatch1a.vp' ... 1 files
Searching root pack '/Applications/Spiele/TBP/Root_fs2.vp' ... 3 files
Searching root pack '/Applications/Spiele/TBP/sparky_fs2.vp' ... 3 files
Searching root pack '/Applications/Spiele/TBP/sparky_hi_fs2.vp' ... 3 files
Searching root pack '/Applications/Spiele/TBP/stu_fs2.vp' ... 3 files
Found 12 roots and 9324 files.
AutoLang: Language auto-detection successful...
Setting language to English
Initializing OpenAL...
  OpenAL Vendor : Apple Computer Inc.
  OpenAL Renderer : Software
  OpenAL Version : 1.1

... OpenAL successfully initialized!
Failed to init speech
GR_CPU: Family 0, MMX=No
Initializing OpenGL graphics device at 1152x920 with 32-bit color...
  Initializing SDL...
  Requested SDL Video values = R: 8, G: 8, B: 8, depth: 24, double-buffer: 1
  Actual SDL Video values = R: 8, G: 8, B: 8, depth: 24, double-buffer: 1
  OpenGL Vendor : ATI Technologies Inc.
  OpenGL Renderer : ATI Radeon X1600 OpenGL Engine
  OpenGL Version : 2.0 ATI-1.5.28

  Using extension "GL_EXT_fog_coord".
  Using extension "GL_ARB_multitexture".
  Using extension "GL_ARB_texture_env_add".
  Using extension "GL_ARB_texture_compression".
  Using extension "GL_EXT_texture_compression_s3tc".
  Using extension "GL_EXT_texture_filter_anisotropic".
  Using extension "GL_ARB_texture_env_combine".
  Using extension "GL_EXT_compiled_vertex_array".
  Using extension "GL_EXT_draw_range_elements".
  Using extension "GL_ARB_texture_mirrored_repeat".
  Using extension "GL_ARB_texture_non_power_of_two".
  Using extension "GL_ARB_vertex_buffer_object".
  Using extension "GL_ARB_pixel_buffer_object".
  Using extension "GL_SGIS_generate_mipmap".
  Using extension "GL_EXT_framebuffer_object".
  Using extension "GL_ARB_texture_rectangle".
  Using extension "GL_EXT_bgra".
  Using extension "GL_ARB_texture_cube_map".
  Using extension "GL_EXT_texture_lod_bias".
  Using extension "GL_ARB_point_sprite".

  Max texture units: 8
  Max elements vertices: 2048
  Max elements indices: 150000
  Max texture size: 4096x4096
  Can use compressed textures: YES
  Texture compression available: YES
  Using trilinear texture filter.
... OpenGL init is complete!
Size of bitmap info = 705 KB
Size of bitmap extra info = 40 bytes
ANI cursorweb with size 24x24 (25.0% wasted)
GRAPHICS: Initializing default colors...
OpenGL: Created 512x512 FBO!
OpenGL: Reusing 512x512 FBO!
SCRIPTING: Beginning initialization sequence...
SCRIPTING: Beginning Lua initialization...
LUA: Opening LUA state...
LUA: Initializing base Lua libraries...
LUA: Beginning ADE initialization
ADE: Initializing enumeration constants...
ADE: Assigning Lua session...
SCRIPTING: Beginning main hook parse sequence....
Wokka! Error opening file (scripting.tbl)!
TABLES: Unable to parse 'scripting.tbl'! Error code = 5.
SCRIPTING: Inititialization complete.
SCRIPTING: Splash screen overrides checked
SCRIPTING: Splash hook has been run
SCRIPTING: Splash screen conditional hook has been run
Using high memory settings...
Wokka! Error opening file (interface.tbl)!
WMCGUI: Unable to parse 'interface.tbl'! Error code = 5.
ANI 2_radar1 with size 209x170 (33.6% wasted)
No joysticks found
Current soundtrack set to -1 in event_music_reset_choices
Wokka! Error opening file (armor.tbl)!
TABLES: Unable to parse 'armor.tbl'! Error code = 5.
BMPMAN: Found EFF (exp20.eff) with 48 frames at 22 fps.
BMPMAN: Found EFF (ExpMissileHit1.eff) with 29 frames at 22 fps.
BMPMAN: Found EFF (exp04.eff) with 40 frames at 21 fps.
BMPMAN: Found EFF (exp05.eff) with 51 frames at 22 fps.
BMPMAN: Found EFF (exp06.eff) with 71 frames at 23 fps.
BMPMAN: Found EFF (Shockwave01.eff) with 92 frames at 20 fps.
BMPMAN: Found EFF (Shockwave02.eff) with 146 frames at 30 fps.
BMPMAN: Found EFF (Shockwave03.eff) with 51 frames at 30 fps.
BMPMAN: Found EFF (Shockwave04.eff) with 51 frames at 30 fps.
BMPMAN: Found EFF (Disruptor_Impact.eff) with 6 frames at 25 fps.
BMPMAN: Found EFF (particleexp01.eff) with 21 frames at 20 fps.
TBM => Starting parse of 'additional-shp.tbm' ...
BMPMAN: Found EFF (rockexp01.eff) with 96 frames at 24 fps.
loading animated cursor "cursor"
ANI cursor with size 24x24 (25.0% wasted)
Ships.tbl is : INVALID!!!!
Weapons.tbl is : INVALID!!!!
cfile_init() took 105
Got event GS_EVENT_GAME_INIT (49) in state NOT A VALID STATE (0)
ANI cursor.ani with size 24x24 (25.0% wasted)
Got event GS_EVENT_MAIN_MENU (0) in state GS_STATE_INITIAL_PLAYER_SELECT (37)
WARNING => Ship class GTF Ulysses not located in Ship_info[] in player file
Wokka! Error opening file (FreeSpace2.fc2)!
Error parsing 'FreeSpace2.fc2'
Error code = 5.
ANI 2_b5render.ani with size 1024x576 (43.8% wasted)
ANI 2_Exit.ani with size 338x25 (21.9% wasted)
ANI 2_Pilot.ani with size 337x25 (21.9% wasted)
ANI 2_Continue.ani with size 337x25 (21.9% wasted)
ANI 2_Techdata.ani with size 337x25 (21.9% wasted)
ANI 2_Options.ani with size 337x25 (21.9% wasted)
ANI 2_Campaign.ani with size 338x25 (21.9% wasted)
Frame 0 too long!!: frametime = 0.707 (0.707)
ANI cursor.ani with size 24x24 (25.0% wasted)
Got event GS_EVENT_NEW_CAMPAIGN (26) in state GS_STATE_MAIN_MENU (1)
Wokka! Error opening file (FreeSpace2.fc2)!
Error parsing 'FreeSpace2.fc2'
Error code = 5.
Got event GS_EVENT_START_GAME (1) in state GS_STATE_MAIN_MENU (1)
=================== STARTING LEVEL LOAD ==================
Someone passed an extension to bm_load for file 'LS-B5Demo1-1024.tga'
ANI 2_Loading.ani with size 824x43 (32.8% wasted)
Starting model page in...
Beginning level bitmap paging...
BMPMAN: Found EFF (particlesmoke01.eff) with 98 frames at 30 fps.
BMPMAN: Found EFF (particlesmoke02.eff) with 98 frames at 30 fps.
BMPMAN: Found EFF (JumpIn01.eff) with 61 frames at 22 fps.
BMPMAN: Found EFF (JumpOut02.eff) with 61 frames at 22 fps.
Loading warp model
Loading model 'warp.pof'
IBX: Starting a new IBX for 'warp.pof'.
Model warp.pof has a null moment of inertia! (This is only a problem if the model is a ship.)
 128
BMPMAN: Found EFF (shieldhit01a.eff) with 23 frames at 21 fps.
SHOCKWAVE => Loading default shockwave model...
Loading model 'shockwave.pof'
IBX: Starting a new IBX for 'shockwave.pof'.
Model shockwave.pof has a null moment of inertia! (This is only a problem if the model is a ship.)
SHOCKWAVE => Default model load: SUCCEEDED!!
MISSION LOAD: 'Bab5-Demo1.fs2'
Hmmm... Extension passed to mission_load...
Starting mission message count : 196
Ending mission message count : 228
Current soundtrack set to -1 in event_music_reset_choices
Loading model 'hyperion.pof'
IBX: Found a good IBX to read for 'hyperion.pof'.
IBX-DEBUG => POF checksum: 232720457, IBX checksum: 2862919499 -- "hyperion.pof"
BMPMAN: Found EFF (ea-debris01-glow.eff) with 55 frames at 7 fps.
DDS ERROR: Couldn't open 'ea-debris01-glow_0053' -- File not found
Model hyperion.pof has a null moment of inertia! (This is only a problem if the model is a ship.)
Warning: Ignoring unrecognized subsystem reactor01a, believed to be in ship hyperion.pof
Warning: Ignoring unrecognized subsystem reactor02a, believed to be in ship hyperion.pof
Warning: Ignoring unrecognized subsystem reactor03a, believed to be in ship hyperion.pof
Warning: Ignoring unrecognized subsystem reactor04a, believed to be in ship hyperion.pof
Warning: Ignoring unrecognized subsystem fighterbay, believed to be in ship hyperion.pof
Allocating space for at least 25 new ship subsystems ... a total of 200 is now available (25 in-use).
Loading model 'atmshuttle.pof'
IBX: Found a good IBX to read for 'atmshuttle.pof'.
IBX-DEBUG => POF checksum: 2087145892, IBX checksum: 4128960536 -- "atmshuttle.pof"
Model atmshuttle.pof has a null moment of inertia! (This is only a problem if the model is a ship.)
Loading model 'aurora_line.pof'
IBX: Found a good IBX to read for 'aurora_line.pof'.
IBX-DEBUG => POF checksum: 61791895, IBX checksum: 1757959554 -- "aurora_line.pof"
Model aurora_line.pof has a null moment of inertia! (This is only a problem if the model is a ship.)
ANI 2_lock1 with size 56x53 (17.2% wasted)
ANI 2_lockspin with size 100x100 (21.9% wasted)
ANI 2_lead1 with size 26x26 (18.8% wasted)
ANI 2_energy2 with size 86x96 (25.0% wasted)
ANI toggle1 with size 57x20 (37.5% wasted)
ANI weapons1 with size 126x20 (37.5% wasted)
ANI weapons1_b with size 150x20 (37.5% wasted)
ANI 2_toparc1 with size 252x60 (6.2% wasted)
ANI 2_toparc2 with size 35x24 (25.0% wasted)
ANI 2_toparc3 with size 41x29 (9.4% wasted)
ANI 2_leftarc with size 103x252 (1.6% wasted)
ANI 2_rightarc1 with size 103x252 (1.6% wasted)
ANI 2_reticle1 with size 40x31 (3.1% wasted)
ANI targhit1 with size 31x21 (34.4% wasted)
ANI energy1 with size 12x41 (35.9% wasted)
ANI targetview1 with size 137x156 (39.1% wasted)
ANI targetview2 with size 4x96 (25.0% wasted)
ANI targetview3 with size 7x20 (37.5% wasted)
ANI damage1 with size 148x25 (21.9% wasted)
ANI support1 with size 108x24 (25.0% wasted)
ANI objective1 with size 149x21 (34.4% wasted)
ANI wingman1 with size 71x53 (17.2% wasted)
ANI wingman2 with size 35x53 (17.2% wasted)
ANI wingman3 with size 14x53 (17.2% wasted)
ANI netlag1 with size 29x30 (6.2% wasted)
ANI head1 with size 164x132 (48.4% wasted)
ANI time1 with size 47x23 (28.1% wasted)
Loading model 'starfield.pof'
IBX: Found a good IBX to read for 'starfield.pof'.
IBX-DEBUG => POF checksum: 131622925, IBX checksum: 3836428134 -- "starfield.pof"
Model starfield.pof has a null moment of inertia! (This is only a problem if the model is a ship.)
=================== STARTING LEVEL DATA LOAD ==================
Allocating space for at least 152 new ship subsystems ... a total of 400 is now available (111 in-use).
About to page in ships!
ANI shield-eaauroramk1 with size 112x93 (27.3% wasted)
ANI shield-eakestrel with size 112x93 (27.3% wasted)
ANI shield-eacrewshuttle with size 112x93 (27.3% wasted)
Loading model 'crewshuttle.pof'
IBX: Found a good IBX to read for 'crewshuttle.pof'.
IBX-DEBUG => POF checksum: 2420623061, IBX checksum: 2881609541 -- "crewshuttle.pof"
Model crewshuttle.pof has a null moment of inertia! (This is only a problem if the model is a ship.)

TagsNo tags attached.
Attached Files
  • txt file icon rev4638_crashlog.txt (25,520 bytes) 2008-08-08 13:22 -
    Process:         FS2_Open (debug) [89039]
    Path:            /Applications/Spiele/TBP/FS2_OpenTBP_4638 (debug).app/Contents/MacOS/FS2_Open (debug)
    Identifier:      FS2_Open (debug)
    Version:         FreeSpace 2 Open version 3.6.10 (3.6.10-trunk)
    Code Type:       X86 (Native)
    Parent Process:  launchd [74]
    
    Date/Time:       2008-08-08 19:07:19.011 +0200
    OS Version:      Mac OS X 10.5.4 (9E17)
    Report Version:  6
    
    Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
    Exception Codes: KERN_INVALID_ADDRESS at 0x00000000d976ad90
    Crashed Thread:  0
    
    Thread 0 Crashed:
    0   FS2_Open (debug)              	0x00312a30 ship_page_in() + 3120
    1   FS2_Open (debug)              	0x00013ad0 level_page_in() + 24
    2   FS2_Open (debug)              	0x00004e1f freespace_mission_load_stuff() + 179
    3   FS2_Open (debug)              	0x0000fbdd game_post_level_init() + 195
    4   FS2_Open (debug)              	0x0000fdc7 game_start_mission() + 439
    5   FS2_Open (debug)              	0x0000fefd game_enter_state(int, int) + 253
    6   FS2_Open (debug)              	0x000ab54a gameseq_set_state(int, int) + 460
    7   FS2_Open (debug)              	0x0000d00d game_process_event(int, int) + 277
    8   FS2_Open (debug)              	0x000abb22 gameseq_process_events() + 198
    9   FS2_Open (debug)              	0x0001350d game_main(char*) + 377
    10  FS2_Open (debug)              	0x000136aa SDL_main + 386 (freespace.cpp:9305)
    11  FS2_Open (debug)              	0x00003680 -[SDLMain applicationDidFinishLaunching:] + 64 (SDLMain.m:196)
    12  com.apple.Foundation          	0x9611164c _nsnote_callback + 364
    13  com.apple.CoreFoundation      	0x91c37aba __CFXNotificationPost + 362
    14  com.apple.CoreFoundation      	0x91c37d93 _CFXNotificationPostNotification + 179
    15  com.apple.Foundation          	0x9610e7b0 -[NSNotificationCenter postNotificationName:object:userInfo:] + 128
    16  com.apple.Foundation          	0x96117ff8 -[NSNotificationCenter postNotificationName:object:] + 56
    17  com.apple.AppKit              	0x93e6cb7a -[NSApplication _postDidFinishNotification] + 125
    18  com.apple.AppKit              	0x93e6ca89 -[NSApplication _sendFinishLaunchingNotification] + 77
    19  com.apple.AppKit              	0x93de662f -[NSApplication(NSAppleEventHandling) _handleAEOpen:] + 284
    20  com.apple.AppKit              	0x93de5e28 -[NSApplication(NSAppleEventHandling) _handleCoreEvent:withReplyEvent:] + 98
    21  com.apple.Foundation          	0x96136b6f -[NSAppleEventManager dispatchRawAppleEvent:withRawReply:handlerRefCon:] + 655
    22  com.apple.Foundation          	0x9613687f _NSAppleEventManagerGenericHandler + 223
    23  com.apple.AE                  	0x97279648 aeDispatchAppleEvent(AEDesc const*, AEDesc*, unsigned long, unsigned char*) + 144
    24  com.apple.AE                  	0x9727957e dispatchEventAndSendReply(AEDesc const*, AEDesc*) + 44
    25  com.apple.AE                  	0x97279425 aeProcessAppleEvent + 177
    26  com.apple.HIToolbox           	0x91efb47d AEProcessAppleEvent + 38
    27  com.apple.AppKit              	0x93de3719 _DPSNextEvent + 1189
    28  com.apple.AppKit              	0x93de2db8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
    29  com.apple.AppKit              	0x93ddbdf3 -[NSApplication run] + 795
    30  FS2_Open (debug)              	0x00003612 CustomApplicationMain + 261 (SDLMain.m:176)
    31  FS2_Open (debug)              	0x0000390a main + 279 (SDLMain.m:277)
    32  FS2_Open (debug)              	0x00002a62 _start + 216
    33  FS2_Open (debug)              	0x00002989 start + 41
    
    Thread 1:
    0   libSystem.B.dylib             	0x95d774a6 mach_msg_trap + 10
    1   libSystem.B.dylib             	0x95d7ec9c mach_msg + 72
    2   com.apple.CoreFoundation      	0x91c560ce CFRunLoopRunSpecific + 1790
    3   com.apple.CoreFoundation      	0x91c56cf8 CFRunLoopRunInMode + 88
    4   com.apple.audio.CoreAudio     	0x90084464 HALRunLoop::OwnThread(void*) + 160
    5   com.apple.audio.CoreAudio     	0x90084300 CAPThread::Entry(CAPThread*) + 96
    6   libSystem.B.dylib             	0x95da86f5 _pthread_start + 321
    7   libSystem.B.dylib             	0x95da85b2 thread_start + 34
    
    Thread 2:
    0   libSystem.B.dylib             	0x95d77506 semaphore_timedwait_signal_trap + 10
    1   libSystem.B.dylib             	0x95da984f _pthread_cond_wait + 1244
    2   libSystem.B.dylib             	0x95dab0d3 pthread_cond_timedwait_relative_np + 47
    3   com.apple.audio.CoreAudio     	0x90093a47 CAGuard::WaitFor(unsigned long long) + 213
    4   com.apple.audio.CoreAudio     	0x90095602 CAGuard::WaitUntil(unsigned long long) + 70
    5   com.apple.audio.CoreAudio     	0x90093da7 HP_IOThread::WorkLoop() + 759
    6   com.apple.audio.CoreAudio     	0x90093aab HP_IOThread::ThreadEntry(HP_IOThread*) + 17
    7   com.apple.audio.CoreAudio     	0x90084300 CAPThread::Entry(CAPThread*) + 96
    8   libSystem.B.dylib             	0x95da86f5 _pthread_start + 321
    9   libSystem.B.dylib             	0x95da85b2 thread_start + 34
    
    Thread 3:
    0   libSystem.B.dylib             	0x95d775c6 mach_wait_until + 10
    1   libSystem.B.dylib             	0x95def1e5 nanosleep + 314
    2   SDL                           	0x3003daf3 SDL_Delay + 405
    3   SDL                           	0x3002fc28 SDL_Linked_Version + 317
    4   SDL                           	0x3003d79b SDL_SemWait + 44
    5   libSystem.B.dylib             	0x95da86f5 _pthread_start + 321
    6   libSystem.B.dylib             	0x95da85b2 thread_start + 34
    
    Thread 4:
    0   libSystem.B.dylib             	0x95d774a6 mach_msg_trap + 10
    1   libSystem.B.dylib             	0x95d7ec9c mach_msg + 72
    2   com.apple.opengl              	0x95c21a1d glcDebugListener + 349
    3   libSystem.B.dylib             	0x95da86f5 _pthread_start + 321
    4   libSystem.B.dylib             	0x95da85b2 thread_start + 34
    
    Thread 5:
    0   libSystem.B.dylib             	0x95d7e68e __semwait_signal + 10
    1   libSystem.B.dylib             	0x95da936d pthread_cond_wait$UNIX2003 + 73
    2   libGLProgrammability.dylib    	0x90f59432 glvmDoWork + 162
    3   libSystem.B.dylib             	0x95da86f5 _pthread_start + 321
    4   libSystem.B.dylib             	0x95da85b2 thread_start + 34
    
    Thread 0 crashed with X86 Thread State (32-bit):
      eax: 0x00670d00  ebx: 0x00311e11  ecx: 0x0217b800  edx: 0x3643e824
      edi: 0x0221f808  esi: 0x00000000  ebp: 0xbfffe958  esp: 0xbfffe8c0
       ss: 0x0000001f  efl: 0x00010282  eip: 0x00312a30   cs: 0x00000017
       ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
      cr2: 0xd976ad90
    
    Binary Images:
        0x1000 -   0x51cfff +FS2_Open (debug) FreeSpace 2 Open version 3.6.10 (3.6.10-trunk) <a6b459597274bcb7a4002d8d5f75bbb2> /Applications/Spiele/TBP/FS2_OpenTBP_4638 (debug).app/Contents/MacOS/FS2_Open (debug)
     0x153a000 -  0x155dfed  com.apple.audio.OpenAL 1.2 (1.2) <d2b9567e2f3e44ef025556bffbb1aeb9> /System/Library/Frameworks/OpenAL.framework/Versions/A/OpenAL
     0x1570000 -  0x1572fc8 +org.xiph.ogg 1.1.2 (1.1.2d1) /Applications/Spiele/TBP/FS2_OpenTBP_4638 (debug).app/Contents/Frameworks/Ogg.framework/Versions/A/Ogg
     0x1576000 -  0x1590fff +org.xiph.vorbis 1.1.1 (1.1.1d1) /Applications/Spiele/TBP/FS2_OpenTBP_4638 (debug).app/Contents/Frameworks/Vorbis.framework/Versions/A/Vorbis
     0x1740000 -  0x1754feb +org.xiph.theorak 1.0alpha7 (1.0alpha7d1) /Applications/Spiele/TBP/FS2_OpenTBP_4638 (debug).app/Contents/Frameworks/Theora.framework/Versions/A/Theora
     0xe896000 -  0xe9b4ff7  com.apple.RawCamera.bundle 2.0.7 (2.0.7) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
     0xeb05000 -  0xeb08fff  com.apple.audio.AudioIPCPlugIn 1.0.4 (1.0.4) <9ce6f675ce724b0ba4e78323b79cf95c> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
     0xeb0e000 -  0xeb13fff  com.apple.audio.AppleHDAHALPlugIn 1.5.7 (1.5.7a24) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
     0xeb90000 -  0xeb93fef  com.apple.LiveType.component 2.1.3 (2.1.3) /Library/QuickTime/LiveType.component/Contents/MacOS/LiveType
     0xeb98000 -  0xebfdfde  com.apple.LiveType.framework 2.1.3 (2.1.3) /System/Library/PrivateFrameworks/LiveType.framework/Versions/A/LiveType
     0xf41a000 -  0xf59cfef  GLEngine ??? (???) <e9b3c93e50e3236cae43a2161e331720> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
     0xf5ca000 -  0xf852fe1  com.apple.ATIRadeonX1000GLDriver 1.5.28 (5.2.8) <908a996049d30efc4da606661969ec18> /System/Library/Extensions/ATIRadeonX1000GLDriver.bundle/Contents/MacOS/ATIRadeonX1000GLDriver
     0xf89f000 -  0xf8bbff7  GLRendererFloat ??? (???) <98be9cb44eb018fa6300e9447b214fd7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
    0x30000000 - 0x30060fbf +SDL 1.2.9 (1.2.10) /Applications/Spiele/TBP/FS2_OpenTBP_4638 (debug).app/Contents/Frameworks/SDL.framework/Versions/A/SDL
    0x3e000000 - 0x3e045fef  com.apple.glut 3.4.0 (GLUT-3.4.0) <e8308e6cd0ebd636413bcf20a29b5866> /System/Library/Frameworks/GLUT.framework/Versions/A/GLUT
    0x70000000 - 0x700e3ff2  com.apple.audio.units.Components 1.5.1 (1.5.1) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
    0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld
    0x90003000 - 0x90003fff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x90067000 - 0x900e3feb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x900e4000 - 0x900ffff3  libPng.dylib ??? (???) <c0484bec6e2432b406755591924fe664> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x90100000 - 0x90510fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x90511000 - 0x908a7fff  com.apple.QuartzCore 1.5.3 (1.5.3) <1b65c05f89e81a499302fd63295b242d> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x908a8000 - 0x9095affb  libcrypto.0.9.7.dylib ??? (???) <01109b36b445b3e8698ef87f814f7fd4> /usr/lib/libcrypto.0.9.7.dylib
    0x9095b000 - 0x90a3afff  libobjc.A.dylib ??? (???) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib
    0x90a8b000 - 0x90b0dff3  com.apple.CFNetwork 330.4 (330.4) <ce5b085df34a78b7f198aff9db5b52ec> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x90b0e000 - 0x90b95ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
    0x90b9c000 - 0x90c56fe3  com.apple.CoreServices.OSServices 226.5 (226.5) <7e10d25c615a39fe1ab4d48e24a3b555> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x90c57000 - 0x90f31ff3  com.apple.CoreServices.CarbonCore 786.6 (786.6) <bc7c12c84fe21ae2626bdd17070aaafa> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x90f32000 - 0x91405ffe  libGLProgrammability.dylib ??? (???) <475db64244e011cd8811e076035b2632> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
    0x91474000 - 0x91474ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
    0x914c4000 - 0x914dafff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x914db000 - 0x914dbff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x914dc000 - 0x91622ff7  com.apple.ImageIO.framework 2.0.2 (2.0.2) <77dfee73f4c0d230425a5151ee0bce05> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x9168a000 - 0x91694feb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
    0x91764000 - 0x91766fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x91831000 - 0x918aefef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x918af000 - 0x91bd0fea  com.apple.QuickTime 7.5.0 (861) <4e1161b204b3b1f1047412c16483c39a> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
    0x91bdc000 - 0x91be3ff7  libCGATS.A.dylib ??? (???) <fbc59d0e1eccf907396563568d5cd872> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
    0x91be4000 - 0x91d16fff  com.apple.CoreFoundation 6.5.3 (476.14) <7ef7f5db09ff6dd0135a6165872803cc> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x91d8a000 - 0x91da2fff  com.apple.openscripting 1.2.8 (???) <d85d82af796d1df9bce7b1db8f6c846c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x91da3000 - 0x91ec7fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x91ec8000 - 0x91ec8ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x91ec9000 - 0x921d0ff7  com.apple.HIToolbox 1.5.3 (???) <e36f5c553e5a32f64b7eb458dadadc71> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x92234000 - 0x9228dff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x92391000 - 0x923a7fe7  com.apple.CoreVideo 1.5.1 (1.5.1) <ed7bb95fb94817ea3212090aac5c65f3> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x923a8000 - 0x923e6fff  com.apple.CoreMediaIOServicesPrivate 9.0 (9.0) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
    0x923e7000 - 0x92444ffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
    0x9269c000 - 0x926a1fff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x926a2000 - 0x92735fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x9387c000 - 0x9395dff7  libxml2.2.dylib ??? (???) <1baef3d4972ee789d8fa6c1fa44da45c> /usr/lib/libxml2.2.dylib
    0x93da3000 - 0x945a0fef  com.apple.AppKit 6.5.3 (949.33) <84b236f43802f4c15011513d18efa101> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x945a1000 - 0x945c5fff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
    0x945c6000 - 0x94984fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x94985000 - 0x94a6aff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x94a6b000 - 0x94a6ffff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x94a70000 - 0x94a77ffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
    0x94a78000 - 0x94ab2fff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x94ab3000 - 0x94ab3ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x94ab4000 - 0x94ab4ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x94ac7000 - 0x94af4feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x94b68000 - 0x94b88ff2  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x94d60000 - 0x94d64fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
    0x94d65000 - 0x94deffe3  com.apple.DesktopServices 1.4.6 (1.4.6) <94d1a28b351b7dff77becadab0967772> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x95059000 - 0x950e4fff  com.apple.framework.IOKit 1.5.1 (???) <60cfc4b175c4ef60bb8e9036716a29f4> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x9511c000 - 0x951caffb  com.apple.QTKit 7.5 (861) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x951cb000 - 0x951cdff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x951ce000 - 0x9521eff7  com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x9521f000 - 0x9524afe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
    0x95253000 - 0x95263fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x95269000 - 0x952fcff3  com.apple.ApplicationServices.ATS 3.3 (???) <064eb6d96417afa38a80b1735c4113aa> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x952fd000 - 0x95300fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x95301000 - 0x953a8feb  com.apple.QD 3.11.52 (???) <c72bd7bd2ce12694c3640a731d1ad878> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x953ce000 - 0x9545aff7  com.apple.LaunchServices 289.2 (289.2) <3577886e3a6d56ee3949850c4fde76c9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x9545b000 - 0x9549cfe7  libRIP.A.dylib ??? (???) <8c2cd4f044b3413d770ca8ad740f7645> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x954b5000 - 0x9550fff7  com.apple.CoreText 2.0.2 (???) <9fde11f84a72e890bbf2aa8b0b13b79a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
    0x95545000 - 0x9554efff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x9554f000 - 0x9556effa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x9556f000 - 0x95570ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
    0x95571000 - 0x95571ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x95bd0000 - 0x95c0eff7  libGLImage.dylib ??? (???) <093b1b698ca93a0380f5fa262459ea28> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x95c0f000 - 0x95c16fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
    0x95c17000 - 0x95c23fe7  com.apple.opengl 1.5.6 (1.5.6) <125de77ea2434a91364e79a0905a7771> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x95c24000 - 0x95c42fff  libresolv.9.dylib ??? (???) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib
    0x95c43000 - 0x95c4efe7  libCSync.A.dylib ??? (???) <3f58eb487099bff0476ec79974d0ad4d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x95c9a000 - 0x95cf6ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
    0x95cf7000 - 0x95d0bff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x95d0c000 - 0x95d36fff  com.apple.CoreMediaPrivate 9.0 (9.0) <8eb20bcfecc950600aa62dfa07aa47f3> /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
    0x95d37000 - 0x95d6efff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x95d6f000 - 0x95d75fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x95d76000 - 0x95ed6ff3  libSystem.B.dylib ??? (???) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib
    0x95ef6000 - 0x95f70ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x95fce000 - 0x96106ff7  libicucore.A.dylib ??? (???) <5031226ea28b371d8dfdbb32acfb48b5> /usr/lib/libicucore.A.dylib
    0x96107000 - 0x96382fe7  com.apple.Foundation 6.5.5 (677.19) <bfd4ebea1a7739dd6b523f15dca01a37> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x963a0000 - 0x96450fff  edu.mit.Kerberos 6.0.12 (6.0.12) <1dc515ebe407292db8e603938c72d4e8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x96451000 - 0x9645fffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
    0x96460000 - 0x96460ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x96552000 - 0x96720fff  com.apple.security 5.0.4 (34102) <f01d6cbd6a0f24f6c13952ed448e77d6> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x96721000 - 0x9672cff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
    0x96732000 - 0x967f9ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x967fa000 - 0x96840fef  com.apple.Metadata 10.5.2 (398.18) <adbb3a14e8f7da444e16d2fd61862771> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x96841000 - 0x96851ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x96852000 - 0x96894fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
    0x96895000 - 0x968d4fef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x968d5000 - 0x968d5ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x968d6000 - 0x968defff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x968f3000 - 0x969befff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x969f9000 - 0x96a78ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x96a79000 - 0x96aa1ff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
    0x96aa2000 - 0x9713efef  com.apple.CoreGraphics 1.351.32 (???) <793d7ceb9e1880818e03c1f1b10df04b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x97277000 - 0x972a6fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x972a7000 - 0x972cffff  libcups.2.dylib ??? (???) <ece20dff2a2c8ed3ae6ef735ef440c37> /usr/lib/libcups.2.dylib
    0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
    0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib
    
    
    txt file icon rev4638_crashlog.txt (25,520 bytes) 2008-08-08 13:22 +
  • ? file icon objecttypes.tbl (34,936 bytes) 2008-10-04 06:27

-Relationships
+Relationships

-Notes

~0009661

FUBAR-BDHR (developer)

I'm getting this in all recent builds under windows as well. Last build that I can confirm didn't have the problem is Kara's StandaloneFixes-1.7z dated 7/4/08. Next build I could find to test after that was fso-20080716_CHIEF_4708_PXOFlag.7z which crashes.

My logfile stops at the same line as the one above. Excert from the errolog.txt file:

Last safe point: last safepoint: d:\c++\freespace\fs2_open - 3.6.9 team loadout trunk\code\starfield\starfield.cpp, 1060; [leaving starfield_generate_bitmap_instance_vertex_buffers]

    Module list: names, addresses, sizes, time stamps and file times:
C:\Program Files\The Babylon Project\fs2_open_3_6_10_debug.exe, loaded at 0x00400000 - 7708672 bytes - 48c7f920 - file date is 9/10/2008 12:43:16
C:\WINDOWS\system32\wrap_oal.dll, loaded at 0x030a0000 - 413696 bytes - 46927487 - file date is 9/5/2008 23:51:22

~0009784

Wanderer (developer)

Tested and found potential reason

TBP uses ship type 'repair_rearm' in the objecttypes.tbl. Though this matches with the type set in the tables there is code support for earlier versions (afaik) that forces

else if (!stricmp(ship_type, "repair_rearm"))
   ship_type = "support";

Replacing the name of the "repair_rearm" entry in objecttypes.tbl with "Support" should solve this issue.

~0009786

FUBAR-BDHR (developer)

Last edited: 2008-10-03 14:44

I'll give that a try in the next day or 2. Wonder if this is going to effect any other mods.

Quick question. Is this something that could be achieved with a .tbm entry to override the original or would it still crash?

~0009789

Wanderer (developer)

Hmm.. not just by changing a name of the entry (as that cant be done via tbms).. You are lacking the 'Support' entry from the objecttypes.tbl so the very minimum you need to do is to make a tbm that adds the missing objecttype. Alternative is the one that i suggested, making a tbl to rename the 'repair_rearm' objecttype as 'support'.

~0009792

Tinman (reporter)

Last edited: 2008-10-04 14:24

I changed all the 'repair_rearm' to 'support' in the objecttypes.tbl put it in data/tables and a fresh rev4853 build works well. I added the objecttypes.tbl to this post.

Now someone at the TBP-Team have to add a patch to TBP3.4 so people can use 3.6.10 trunk builds.

~0009797

FUBAR-BDHR (developer)

3.4b will not be patched it is FINAL. That's why I was hoping a .tbm would correct the problem as people wanting to use 3.6.10 for their campaigns could simply include the .tbm with their campaign.

~0009798

taylor (administrator)

It's just a bug in Swifty's code. The code assumed that the ship class type is always valid, but there it's not. Adding a simple check is all that's needed to fix it. Should be working again in the next nightly build.

~0009799

taylor (administrator)

Fixered.

~0009800

Wanderer (developer)

Though that fixes the immediate problem code still imo needs more work. First the ship type lookup needs to be fixed so that both 'support' and 'repair_rearm' give the same SIF_SUPPORT flag. ATM only repair_rearm seems to give and same goes for other listed pairs (supercap vs super cap, sentrygun vs sentry gun etc).

ATM the system makes it possible to get a ship type without it having corresponding SIF flag (setting ships.tbl flag as 'sentry gun' - though this should generate error). Or to have proper SIF flag but no corresponding ship type (as happened in this case). Also the actual objecttypes.tbl should be made to test that the 'illegal' names are not used (ie. the ones which are swapped in the code).

I can take care of these assuming there are no objections.

~0009801

taylor (administrator)

Last edited: 2008-10-04 17:58

I thought of that as well, but the simple fact is that the TBP tables are wrong.

repair_rearm is a flag, not a type, and I think that you are mixing the two up. The SIF_SUPPORT flag is still there, but as a ship type it should be "support", so the objecttypes.tbl entry is wrong. That is not our bug in other words, it is doing what it's supposed to do. flag != type, to put it simply. Those flags should point to the correct object type and that is not a bug.

If you were to "fix" that behavior then that would be a bug. :)

~0009802

Wanderer (developer)

Well.. what i meant was that in ship.cpp around line 4080 we first have this

...
char *ship_type = ship_strings[i];
...
else if (!stricmp(ship_type, "repair_rearm"))
   ship_type = "support";
...
ship_type_index = ship_type_name_lookup(ship_type);
...
// check various ship flags
for (int idx = 0; idx < Num_ship_flags; idx++) {
   if ( !stricmp(Ship_flags[idx].name, ship_strings[i]) ) {
...

so it seems the code doesn't use the same string to evaluate the ship types from the objecttypes and from the list of hardcoded SIF flags. So by looking that it seems that using "support" name in for the flag in the tables shouldn't evaluate any SIF flag as the check up table has only repair_rearm reference.

But yes. TBP tables were wrong.

~0009803

taylor (administrator)

That's why I said that the flag doesn't really mean type. It goes back to an old issue which necessitated the "repair_rearm" -> "support" change in the first place. That's why trying to work around that is bound to run into problems, since it will almost certainly break something else. It's just a slight design issue with the ship type code honestly.

And I should also mention that the repair_rearm/support conversion was a bug that was fixed over two years ago. That means that TBP's tbls haven't worked correctly in over 2 years, including with the 3.6.9 release. They just never noticed.

They can just include a *-obt.tbm which includes the correct "support" entry if they want it fixed. But considering that it hasn't worked the entire time, I'm not really sure if it matters.

~0009809

taylor (administrator)

Assuming this is resolved to everyone's satisfaction now.
+Notes

-Issue History
Date Modified Username Field Change
2008-08-08 13:22 Tinman New Issue
2008-08-08 13:22 Tinman File Added: rev4638_crashlog.txt
2008-09-11 20:49 FUBAR-BDHR Note Added: 0009661
2008-10-03 14:17 Wanderer Note Added: 0009784
2008-10-03 14:18 Wanderer Status new => assigned
2008-10-03 14:18 Wanderer Assigned To => Wanderer
2008-10-03 14:29 FUBAR-BDHR Note Added: 0009786
2008-10-03 14:44 FUBAR-BDHR Note Edited: 0009786
2008-10-04 03:41 Wanderer Note Added: 0009789
2008-10-04 06:27 Tinman File Added: objecttypes.tbl
2008-10-04 06:27 Tinman Note Added: 0009792
2008-10-04 13:22 FUBAR-BDHR Note Added: 0009797
2008-10-04 14:24 Tinman Note Edited: 0009792
2008-10-04 16:48 taylor Note Added: 0009798
2008-10-04 16:49 taylor Status assigned => resolved
2008-10-04 16:49 taylor Fixed in Version => 3.6.10
2008-10-04 16:49 taylor Resolution open => fixed
2008-10-04 16:49 taylor Note Added: 0009799
2008-10-04 17:47 Wanderer Status resolved => feedback
2008-10-04 17:47 Wanderer Resolution fixed => reopened
2008-10-04 17:47 Wanderer Note Added: 0009800
2008-10-04 17:57 taylor Note Added: 0009801
2008-10-04 17:58 taylor Note Edited: 0009801
2008-10-04 18:06 Wanderer Note Added: 0009802
2008-10-04 18:29 taylor Note Added: 0009803
2008-10-04 23:14 taylor Note Added: 0009809
2008-10-04 23:14 taylor Assigned To Wanderer => taylor
2008-10-04 23:14 taylor Status feedback => resolved
2008-10-04 23:14 taylor Resolution reopened => fixed
+Issue History